Page MenuHomePhabricator

Deprecate and remove CachedAction, SpecialCachedPage and CacheHelper after 1.35 is branched
Closed, ResolvedPublic

Description

All of these are entirely unused in mediawiki or extensions:

There's no unit tests or any kind of tests, they exist since 1.20 without seeing much updates, thus most likely they don't work. I think it would be good to hard-deprecate those in 1.35 and remove in 1.36, or even remove without deprecation?

Event Timeline

Anomie added a subscriber: Anomie.

Seems fine to me. https://www.mediawiki.org/wiki/Stable_interface_policy#Removal_without_deprecation may apply.

I did a little archaeology and I'm guessing these were added for and only used in the now-archived MediaWiki-extensions-EducationProgram, which reminds me of T114538 from years ago.

Change 585543 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@master] Remove CacheHelper, ICacheHelper, CachedAction, SpecialCachedPage

https://gerrit.wikimedia.org/r/585543

daniel triaged this task as Medium priority.Apr 7 2020, 12:51 PM

Change 587388 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/WikiLexicalData@master] Remove use of deprecated CacheHelper

https://gerrit.wikimedia.org/r/587388

The new policy only applies after we branched 1.35.

I put a CR-2 on the patch that removes the classes, to block it until 1.35 is branched.
We could have a separate patch that deprecates the classes in 1.35, though.

If we just want to wait, this ticket should go into "blocked". If we want a separate patch, it should go into "ready" (or "doing").

Naike changed the task status from Open to Stalled.May 22 2020, 7:08 AM
Aklapper renamed this task from Deprecate and remove CachedAction, SpecialCachedPage and CacheHelper to Deprecate and remove CachedAction, SpecialCachedPage and CacheHelper after 1.35 is branched.May 22 2020, 11:16 AM
Majavah changed the task status from Stalled to Open.Dec 29 2020, 2:22 PM
Majavah added a subscriber: Majavah.

Moving back to inbox now that 1.35 was cut multiple months ago

Change 654514 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@master] Hard deprecate CacheHelper, ICacheHelper, CachedAction, SpecialCachedPage.

https://gerrit.wikimedia.org/r/654514

Change 587388 merged by jenkins-bot:
[mediawiki/extensions/WikiLexicalData@master] Remove use of deprecated CacheHelper

https://gerrit.wikimedia.org/r/587388

Change 654514 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate CacheHelper, ICacheHelper, CachedAction, SpecialCachedPage.

https://gerrit.wikimedia.org/r/654514

Change 681337 had a related patch set uploaded (by Ppchelko; author: Ppchelko):

[mediawiki/core@master] Drop hard-deprecated CacheHelper classes

https://gerrit.wikimedia.org/r/681337

Change 681337 merged by jenkins-bot:

[mediawiki/core@master] Drop hard-deprecated CacheHelper classes

https://gerrit.wikimedia.org/r/681337